### Method

# ICalGLib Recurrence set_by

since: 4.0

#### Declaration [src]

    void
    i_cal_recurrence_set_by (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule,
      guint index,
      gshort value
    )

#### Description [src]

Sets the by array at the given index. Resizes the array to have a size of at least index+1 elements if necessary.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

`index`

  Type: `guint`

  The index in the ‘by’ array.

`value`

  Type: `gshort`

  The value to be set.